Transactions
Returns a multi-signature transaction given its Safe transaction hash
This field is deprecated and will be removed in future versions. Refer to decoder service documentation for decoding guidance.
GET /api/v2/multisig-transactions/{safe_tx_hash}/ HTTP/1.1
Accept: */*
{
"safe": "text",
"to": "text",
"value": "text",
"data": null,
"operation": 1,
"gasToken": null,
"safeTxGas": "text",
"baseGas": "text",
"gasPrice": "text",
"refundReceiver": null,
"nonce": "text",
"executionDate": "2026-01-01T00:00:00.000Z",
"submissionDate": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"blockNumber": null,
"transactionHash": "text",
"safeTxHash": "text",
"proposer": "text",
"proposedByDelegate": null,
"executor": null,
"isExecuted": true,
"isSuccessful": null,
"ethGasPrice": null,
"maxFeePerGas": null,
"maxPriorityFeePerGas": null,
"gasUsed": null,
"fee": null,
"origin": "text",
"confirmationsRequired": 1,
"confirmations": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"trusted": true,
"signatures": null
}Removes the queued but not executed multi-signature transaction associated with the given Safe transaction hash. Only the proposer or the delegate who proposed the transaction can delete it. If the transaction was proposed by a delegate, it must still be a valid delegate for the transaction proposer. An EOA is required to sign the following EIP-712 data:
{
"types": {
"EIP712Domain": [
{"name": "name", "type": "string"},
{"name": "version", "type": "string"},
{"name": "chainId", "type": "uint256"},
{"name": "verifyingContract", "type": "address"},
],
"DeleteRequest": [
{"name": "safeTxHash", "type": "bytes32"},
{"name": "totp", "type": "uint256"},
],
},
"primaryType": "DeleteRequest",
"domain": {
"name": "Safe Transaction Service",
"version": "1.0",
"chainId": chain_id,
"verifyingContract": safe_address,
},
"message": {
"safeTxHash": safe_tx_hash,
"totp": totp,
},
}totp parameter is calculated with T0=0 and Tx=3600. totp is calculated by taking the Unix UTC epoch time (no milliseconds) and dividing by 3600 (natural division, no decimals)
No response body
No content
DELETE /api/v2/multisig-transactions/{safe_tx_hash}/ HTTP/1.1
Accept: */*
No response body
No content
Returns all the executed transactions for a given Safe address. The list has different structures depending on the transaction type:
Multisig Transactions for a Safe.
tx_type=MULTISIG_TRANSACTION.Module Transactions for a Safe.
tx_type=MODULE_TRANSACTIONIncoming Transfers of Ether/ERC20 Tokens/ERC721 Tokens.
tx_type=ETHEREUM_TRANSACTIONOrdering_fields: ["timestamp"] eg:-timestamp(default one) ortimestamp
Note: This endpoint has a bug that will be fixed in next versions of the endpoint. Pagination is done using the Transaction Hash, and due to that the number of relevant transactions with the same Transaction Hash cannot be known beforehand. So if there are only 2 transactions with the same Transaction Hash, count of the endpoint will be 1 but there will be 2 transactions in the list.
Which field to use when ordering the results.
Number of results to return per page.
The initial index from which to return the results.
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /api/v2/safes/{address}/all-transactions/ HTTP/1.1
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"txType1": {
"created": "2026-01-01T00:00:00.000Z",
"executionDate": "2026-01-01T00:00:00.000Z",
"blockNumber": 1,
"isSuccessful": true,
"transactionHash": "text",
"safe": "text",
"module": "text",
"to": "text",
"value": "text",
"data": null,
"operation": 0,
"moduleTransactionId": "text",
"transfers": [
{
"type": "text",
"executionDate": "2026-01-01T00:00:00.000Z",
"blockNumber": 1,
"transactionHash": "text",
"to": "text",
"value": null,
"tokenId": null,
"tokenAddress": null,
"transferId": "text",
"tokenInfo": {
"type": "text",
"address": "text",
"name": "text",
"symbol": "text",
"decimals": 1,
"logoUri": "text",
"trusted": true
},
"from": "text"
}
],
"txType": "text"
},
"txType2": {
"safe": "text",
"to": "text",
"value": "text",
"data": null,
"operation": 1,
"gasToken": null,
"safeTxGas": "text",
"baseGas": "text",
"gasPrice": "text",
"refundReceiver": null,
"nonce": "text",
"executionDate": "2026-01-01T00:00:00.000Z",
"submissionDate": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"blockNumber": null,
"transactionHash": "text",
"safeTxHash": "text",
"proposer": "text",
"proposedByDelegate": null,
"executor": null,
"isExecuted": true,
"isSuccessful": null,
"ethGasPrice": null,
"maxFeePerGas": null,
"maxPriorityFeePerGas": null,
"gasUsed": null,
"fee": null,
"origin": "text",
"confirmationsRequired": 1,
"confirmations": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"trusted": true,
"signatures": null,
"transfers": [
{
"type": "text",
"executionDate": "2026-01-01T00:00:00.000Z",
"blockNumber": 1,
"transactionHash": "text",
"to": "text",
"value": null,
"tokenId": null,
"tokenAddress": null,
"transferId": "text",
"tokenInfo": {
"type": "text",
"address": "text",
"name": "text",
"symbol": "text",
"decimals": 1,
"logoUri": "text",
"trusted": true
},
"from": "text"
}
],
"txType": "text"
},
"txType3": {
"executionDate": "2026-01-01T00:00:00.000Z",
"to": null,
"data": "text",
"txHash": "text",
"blockNumber": null,
"transfers": [
{
"type": "text",
"executionDate": "2026-01-01T00:00:00.000Z",
"blockNumber": 1,
"transactionHash": "text",
"to": "text",
"value": null,
"tokenId": null,
"tokenAddress": null,
"transferId": "text",
"tokenInfo": {
"type": "text",
"address": "text",
"name": "text",
"symbol": "text",
"decimals": 1,
"logoUri": "text",
"trusted": true
},
"from": "text"
}
],
"txType": "text",
"from": "text"
}
}
]
}Returns all the multi-signature transactions for a given Safe address. By default, only trusted multisig transactions are returned.
Which field to use when ordering the results.
Number of results to return per page.
The initial index from which to return the results.
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100Invalid data
Invalid ethereum address
GET /api/v2/safes/{address}/multisig-transactions/ HTTP/1.1
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"safe": "text",
"to": "text",
"value": "text",
"data": null,
"operation": 1,
"gasToken": null,
"safeTxGas": "text",
"baseGas": "text",
"gasPrice": "text",
"refundReceiver": null,
"nonce": "text",
"executionDate": "2026-01-01T00:00:00.000Z",
"submissionDate": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"blockNumber": null,
"transactionHash": "text",
"safeTxHash": "text",
"proposer": "text",
"proposedByDelegate": null,
"executor": null,
"isExecuted": true,
"isSuccessful": null,
"ethGasPrice": null,
"maxFeePerGas": null,
"maxPriorityFeePerGas": null,
"gasUsed": null,
"fee": null,
"origin": "text",
"confirmationsRequired": 1,
"confirmations": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"trusted": true,
"signatures": null
}
]
}Creates a multi-signature transaction for a given Safe account with its confirmations and retrieves all the information related.
Created or signature updated
No content
Invalid data
Invalid ethereum address | User is not an owner | Invalid safeTxHash |Invalid signature | Nonce already executed | Sender is not an owner
POST /api/v2/safes/{address}/multisig-transactions/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 230
{
"safe": "text",
"to": "text",
"value": 1,
"data": null,
"operation": 1,
"gasToken": null,
"safeTxGas": 1,
"baseGas": 1,
"gasPrice": 1,
"refundReceiver": null,
"nonce": 1,
"contractTransactionHash": "text",
"sender": "text",
"signature": null,
"origin": null
}No content
Last updated